<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "medication_manufacturer".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "MedicationManufacturer".
 *
 * Columns in table "medication_manufacturer" available as properties of the model,
 * followed by relations of table "medication_manufacturer" available as properties of the model.
 *
 * @property integer $id
 * @property integer $medication_id
 * @property integer $manufacturer_id
 *
 * @property Medication $medication
 * @property Manufacturer $manufacturer
 */
abstract class BaseMedicationManufacturer extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'medication_manufacturer';
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'MedicationManufacturer|MedicationManufacturers', $n);
    }

    public static function representingColumn()
    {
        return 'id';
    }

    public function rules()
    {
        return array(
            array('medication_id, manufacturer_id', 'required'),
            array('medication_id, manufacturer_id', 'numerical', 'integerOnly' => true),
            array('id, medication_id, manufacturer_id', 'safe', 'on' => 'search'),
        );
    }

    public function relations()
    {
        return array(
            'medication' => array(self::BELONGS_TO, 'Medication', 'medication_id'),
            'manufacturer' => array(self::BELONGS_TO, 'Manufacturer', 'manufacturer_id'),
        );
    }

    public function pivotModels()
    {
        return array(
        );
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'medication_id' => null,
            'manufacturer_id' => null,
            'medication' => null,
            'manufacturer' => null,
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id);
        $criteria->compare('medication_id', $this->medication_id);
        $criteria->compare('manufacturer_id', $this->manufacturer_id);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria,
        ));
    }

}
